ONVIF::Media::Elements::GetVideoSourceModesResponse(3)

NAME
ONVIF::Media::Elements::GetVideoSourceModesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetVideoSourceModesResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   VideoSourceModes

     $element->set_VideoSourceModes($data);
     $element->get_VideoSourceModes();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetVideoSourceModesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   VideoSourceModes =>  { # ONVIF::Media::Types::VideoSourceMode
     MaxFramerate =>  $some_value, # float
     MaxResolution =>  { # ONVIF::Media::Types::VideoResolution
       Width =>  $some_value, # int
       Height =>  $some_value, # int
     },
     Encodings => $some_value, # EncodingTypes
     Reboot =>  $some_value, # boolean
     Description => $some_value, # Description
     Extension =>  { # ONVIF::Media::Types::VideoSourceModeExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL